// All shader content written by '=S4N= drachen' (drachen@mmcable.com)
// Some of the shaders are based on Id's shaders.
// Use it if you want. I dont even care if you mention me.
// Theres nothing extremely special about this .shader script
// Pretty much just simple stuff


// metal with dark shine
textures/mdw-colors/metal_shiny_dark
{
	qer_editorimage textures/mdw-colors/gray.tga   
        {
                map textures/effects/tinfx.tga
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/mdw-colors/gray.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

// metal with bright shine
textures/mdw-colors/metal_shiny_light
{
	qer_editorimage textures/mdw-colors/gray.tga   
	{
		rgbGen identity
		map $lightmap
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map textures/mdw-colors/gray.tga
                blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}  

// wavy "drachen" flag
textures/mdw-colors/dragon_flag
	{ 
		qer_editorimage textures/mdw-colors/banner.tga
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm trans
		tesssize 16
		cull disable
		deformVertexes wave 256 sin 6 4 4 1
		{ 
			map textures/mdw-colors/banner.tga
			blendFunc GL_ONE GL_ZERO 
			alphaFunc GE128 
			depthWrite 
			rgbGen identity 
		} 
		{ 
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
		} 

}

// slick translucent blue surface for slide
textures/mdw-colors/blue-slide
{
	qer_editorimage textures/mdw-colors/blue.tga
	qer_trans 0.20
	surfaceparm slick
	surfaceparm nodamage
	{
		rgbGen identity
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mdw-colors/envmap.jpg
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/mdw-colors/blue.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}  

// slick translucent yellow surface for slide
textures/mdw-colors/yellow-slide
{
	qer_editorimage textures/mdw-colors/yellow.tga
	qer_trans 0.20
	surfaceparm slick
	surfaceparm nodamage
	{
		rgbGen identity
		map $lightmap
		blendfunc filter
	}
        {
		map textures/mdw-colors/envmap.jpg
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/mdw-colors/yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		alphaGen lightingSpecular
	}
}  

// slick translucent red surface for slide
textures/mdw-colors/red-slide
{
	qer_editorimage textures/mdw-colors/red.tga
	qer_trans 0.20
	surfaceparm slick
	surfaceparm nodamage
	{
		rgbGen identity
		map $lightmap
		blendfunc filter
	}
        {
		map textures/mdw-colors/envmap.jpg
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/mdw-colors/red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		alphaGen lightingSpecular
	}
}  


// slick translucent green surface for slide
textures/mdw-colors/purple-slide
{
	qer_editorimage textures/mdw-colors/lime.tga
	qer_trans 0.20
	surfaceparm slick
	surfaceparm nodamage
	{
		rgbGen identity
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mdw-colors/envmap.jpg
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/mdw-colors/lime.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		alphaGen lightingSpecular
	}
}  


//slick purple tile for pool
textures/mdw-colors/wet_purple_tile
{
	qer_editorimage textures/mdw-colors/purple_tile.tga
	surfaceparm slick
	surfaceparm nodamage
	{
		rgbGen identity
		map $lightmap
	}
        {
		map textures/mdw-colors/purple_tile.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}  

// spinning shiny candystripe (blue and red)
textures/mdw-colors/spinning_blue_red_candystripe
{
	qer_editorimage textures/mdw-colors/blue_red_candystripe.tga
	surfaceparm slick
	{
		map textures/mdw-colors/blue_red_candystripe.tga
		tcmod scroll .5 0
		rgbgen identity	
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

// spinning shiny candystripe (blue and yellow)
textures/mdw-colors/spinning_blue_yellow_candystripe
{
	qer_editorimage textures/mdw-colors/blue_yellow_candystripe.tga
	surfaceparm slick
	{
		map textures/mdw-colors/blue_yellow_candystripe.tga
		tcmod scroll .5 0
		rgbgen identity	
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

// scrolling shiny vertical stripe (blue and yellow)
textures/mdw-colors/scrolling_blue_yellow_vert_stripe
{
	qer_editorimage textures/mdw-colors/blue_yellow_vert_stripe.tga
	surfaceparm slick
	{
		map textures/mdw-colors/blue_yellow_vert_stripe.tga
		tcmod scroll .5 0
		rgbgen identity	
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

// blue sky with clouds
textures/mdw-colors/proto_blue_sky_2
{
	qer_editorimage textures/mdw-colors/clouds.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	skyparms textures/mdw-colors/sky_blue 512 -
	
{
		map textures/mdw-colors/clouds.tga
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
		depthwrite
	}
	
}

// blue radar/sonar style jump-pad
textures/mdw-colors/blue_jumppad
{
	qer_editorimage textures/mdw-colors/ball_blue.tga
	surfaceparm nodamage
	{
		map textures/mdw-colors/ball_blue.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/mdw-colors/radar.jpg
		blendfunc gl_one gl_one
		tcMod rotate 45
	}
}

// purple radar/sonar style jump-pad
textures/mdw-colors/purple_jumppad
{
	qer_editorimage textures/mdw-colors/ball_purple.tga
	surfaceparm nodamage
	{
		map textures/mdw-colors/ball_purple.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/mdw-colors/radar.jpg
		blendfunc gl_one gl_one
		tcMod rotate 45
	}
}
